{
  "accUserMode" : 2,
  "caption" : "布局面板测试",
  "codeName" : "TESTPanelLayoutTest",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTPanelLayoutTest.json",
  "name" : "TESTPanelLayoutTest",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Test.json"
  },
  "getPSDEViewCodeName" : "PanelLayoutTest",
  "getPSDEViewId" : "15B8B886-E115-41F4-97B2-3FD4F5F5B863",
  "getPSViewLayoutPanel" : {
    "codeName" : "Usr1205588682",
    "controlType" : "VIEWLAYOUTPANEL",
    "layoutMode" : "FLEX",
    "logicName" : "布局面板测试布局面板",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : { },
    "getPSLayout" : {
      "layout" : "FLEX"
    },
    "getRootPSPanelItems" : [ {
      "caption" : "分页部件",
      "itemStyle" : "DEFAULT",
      "itemType" : "TABPANEL",
      "name" : "tabpanel",
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "getPSPanelTabPages" : [ {
        "caption" : "面板容器",
        "itemStyle" : "DEFAULT",
        "itemType" : "TABPAGE",
        "name" : "tabpage",
        "getPSLayout" : {
          "layout" : "FLEX"
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "layout" : "FLEX"
        },
        "getPSPanelItems" : [ {
          "caption" : "分组标题",
          "itemStyle" : "DEFAULT",
          "itemType" : "CONTAINER",
          "name" : "container_group",
          "getPSLayout" : {
            "layout" : "FLEX"
          },
          "getPSLayoutPos" : {
            "grow" : -1,
            "layout" : "FLEX"
          },
          "getPSPanelItems" : [ {
            "caption" : "文本",
            "contentType" : "RAW",
            "itemStyle" : "DEFAULT",
            "itemType" : "RAWITEM",
            "name" : "static_text",
            "getPSLayoutPos" : {
              "grow" : -1,
              "layout" : "FLEX"
            },
            "getPSRawItem" : {
              "caption" : "文本内容",
              "contentType" : "RAW",
              "name" : "static_text",
              "predefinedType" : "STATIC_TEXT",
              "renderMode" : "TEXT"
            },
            "rawContent" : "文本内容",
            "showCaption" : true
          } ],
          "predefinedType" : "CONTAINER_GROUP",
          "showCaption" : true
        } ],
        "showCaption" : true
      }, {
        "caption" : "分页2",
        "itemStyle" : "DEFAULT",
        "itemType" : "TABPAGE",
        "name" : "tabpage1",
        "getPSLayout" : {
          "layout" : "FLEX"
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "layout" : "FLEX"
        },
        "showCaption" : true
      } ]
    } ],
    "layoutBodyOnly" : false,
    "layoutPanel" : true,
    "useDefaultLayout" : false,
    "viewProxyMode" : true,
    "modelid" : "AD5E0785-423B-4C84-8C82-0533816302E4",
    "modeltype" : "PSSYSVIEWLAYOUTPANEL",
    "getPSControls" : [ {
      "caption" : "布局面板测试",
      "codeName" : "PanelLayoutTestcaptionbar",
      "controlType" : "CAPTIONBAR",
      "name" : "captionbar",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      },
      "getPSControlParam" : { }
    } ]
  },
  "title" : "布局面板测试",
  "viewStyle" : "DEFAULT",
  "viewType" : "DECUSTOMVIEW",
  "enableDP" : true,
  "modelid" : "658d26a3b5f2453838a34d082c4d4950",
  "modeltype" : "PSAPPDEVIEW"
}